WACKAMOLE(8)

NAME
wackamole - IP-failover high-availability tool

SYNOPSIS
wackamole [-v] [-c config_file ] [ -s spread ] [-u user ] [ -d ]

DESCRIPTION
wackamole runs the Wackamole IP-failover HA tool using the wackamole.conf file as a base configuration.

OPTIONS

-v  Display version information and exit.

-d  Turn on debugging and do not daemonize.

-u user
    Instruct wackamole to use user instread of Wack<pid> as it's username when connecting to Spread.

-s spread_loc
    Connect to Spread running at spread_loc

-c config-file
    Use an alternate configuration file config-file instead of wackamole.conf.

FILES
wackamole.conf
    The default config file location is dependant on the install prefix. ./wackamole.conf is also searched if a local file is not found.

DIAGNOSTICS
By default, Wackamole will log any errors to syslog. Check the appropriate log desitnation on your platform.

BUGS

Linux
    Wackamole makes extensive use of ioctl()s on network devices. When dropping and interface such as eth0:4, all subsequent interfaces (eth0:5, etc.) will disappear and no longer function. There has been special code added that causes Wackamole on Linux to iterate through all IP addresses after a balancing round and attempt to re-plumb them. This may cause gratuitous entries to syslog as well as extra unsolicited ARP responses.

Solaris
    Solaris' local arp-cache is, as far as the author is aware, completely undocumented. The code in Wackamole to open /dev/ip and attempt to read the ARP cache was written only by looking at the output of truss arp -an and should be considered a "stab in the dark."

AUTHOR
Yair Amir <yairamir@cnds.jhu.edu> Ryan Caudy <wyvern@cnds.jhu.edu> Aashima Munjal <munjal@cnds.jhu.edu> Theo Schlossnagle <jesus@cnds.jhu.edu>

SEE ALSO
wackamole.conf(5),wackatrl(1)